This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 630302 - Review Request: ghc-pureMD5 - MD5 implementations
Review Request: ghc-pureMD5 - MD5 implementations
Status: CLOSED DUPLICATE of bug 1006114
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
notready needed for yesod-auth
:
Depends On: 648248 ghc-crypto-api
Blocks: yesod yi yesod-platform
  Show dependency treegraph
 
Reported: 2010-09-04 13:23 EDT by Ben Boeckel
Modified: 2013-09-10 00:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 06:25:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-09-04 13:23:25 EDT
Spec URL: http://benboeckel.net/packaging/ghc-pureMD5/ghc-pureMD5.spec
SRPM URL: http://benboeckel.net/packaging/ghc-pureMD5/ghc-pureMD5-1.1.0.0-1.fc14.src.rpm
Description:
An unrolled implementation of MD5 purely in Haskell.

% lintmock fedora-14-x86_64-bb
ghc-pureMD5.src: W: strange-permission ghc-pureMD5.spec 0640L
ghc-pureMD5.src: W: strange-permission pureMD5-1.1.0.0.tar.gz 0640L
ghc-pureMD5-prof.x86_64: E: devel-dependency ghc-pureMD5-devel
ghc-pureMD5-prof.x86_64: W: no-documentation
ghc-pureMD5-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/pureMD5-1.1.0.0/libHSpureMD5-1.1.0.0_p.a
4 packages and 0 specfiles checked; 1 errors, 4 warnings.
Comment 1 Ben Boeckel 2010-10-31 12:58:43 EDT
Spec URL: http://benboeckel.net/packaging/ghc-pureMD5/ghc-pureMD5.spec
SRPM URL: http://benboeckel.net/packaging/ghc-pureMD5/ghc-pureMD5-2.1.0.2-1.fc14.src.rpm

% lintmock fedora-14-x86_64-bb
ghc-pureMD5.src: W: strange-permission ghc-pureMD5.spec 0640L
ghc-pureMD5.src: W: strange-permission pureMD5-2.1.0.2.tar.gz 0640L
ghc-pureMD5-prof.x86_64: E: devel-dependency ghc-pureMD5-devel
ghc-pureMD5-prof.x86_64: W: no-documentation
ghc-pureMD5-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/pureMD5-2.1.0.2/libHSpureMD5-2.1.0.2_p.a
4 packages and 0 specfiles checked; 1 errors, 4 warnings.
Comment 2 Narasimhan 2011-03-05 20:01:56 EST
Rawhide build

http://koji.fedoraproject.org/koji/buildinfo?buildID=228283
Comment 3 Narasimhan 2011-03-05 20:02:33 EST
Sorry for the incorrect update.
Comment 4 Jens Petersen 2011-06-21 21:33:19 EDT
Required for yesod-auth.
Comment 5 Jens Petersen 2013-06-24 06:25:15 EDT
Closing out old Haskell Package Reviews that use deprecated macros
like %ghc_devel_package, etc, which are no longer available in F20 Rawhide.  Please update your package using cabal-rpm-0.8.x or later and re-open
or file a new Review Request.  Thanks!
Comment 6 Jens Petersen 2013-09-10 00:13:12 EDT

*** This bug has been marked as a duplicate of bug 1006114 ***

Note You need to log in before you can comment on or make changes to this bug.